<?php 
    require('components/utils.php');
    require('components/db_config.php');
    adminLogin();

    if(isset($_GET['seen'])){
        $frm_data = filteration($_GET);

        if($frm_data['seen'] == 'all'){
            $q = "UPDATE `review` SET `seen`=?";
            $values = [1];
            if(update($q, $values, 'i')){
                alert('success', 'Read all');
            } else{
                alert('error', 'Please try again!');
            }
        } else{
            $q = "UPDATE `review` SET `seen`=? WHERE `sr_no`=?";
            $values = [1, $frm_data['seen']];
            if(update($q, $values, 'ii')){
                alert('success', 'Mark as read');
            } else{
                alert('error', 'Please try again!');
            }
        }
    }

    if(isset($_GET['del'])){
        $frm_data = filteration($_GET);

        if($frm_data['del'] == 'all'){
            $q = "DELETE FROM `review`";
            if(mysqli_query($con, $q)){
                alert('success', 'Delete all');
            } else{
                alert('error', 'Please try again!');
            }
        } else{
            $q = "DELETE FROM `review` WHERE `sr_no`=?";
            $values = [$frm_data['del']];
            if(delete($q, $values, 'i')){
                alert('success', 'Delete');
            } else{
                alert('error', 'Please try again!');
            }
        }
    }
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Admin Dashboard-user Query | Midtown Hotel</title>
    <?php require('components/link.php')?>
    <style>
        .btn-seen{
            background-color: #77B0AA;
            border: none;
            color: white;
            padding: 5px 10px;
            text-align: center;
            font-weight: 500;
            border-radius: 3px;
            text-decoration: none;
        }
        .btn-seen:hover{
            background-color: #E3FEF7;
            color: black;
            transition: all 0.5s ease;
        }
        .custom-alert{
            position:fixed; 
            top: 50px; 
            right: 25px;
            z-index: 10000;
        }
    </style>
</head>
<body>
    <?php require('components/sidebar.php')?>
    <div class="container-fluid" id="dashboard-body">
        <div class="row">
            <div class="col-lg-10 ms-auto p-4 overflow-hidden">
                <h4 class="mb-4">Reviews</h4>
                <div class="card mb-4">
                    <div class="card-body">
                        <div class="text-end mb-4">
                            <a href="?seen=all" class='btn-seen'>Read All</a>
                            <a href="?del=all" class='btn-cancel'>Delete All</a>
                        </div>
                        <div class="table-responsive-md">
                            <table class="table table-hover border">
                                <thead>
                                    <tr style="background-color: #D3D3D3;">
                                        <th scope="col">#</th>
                                        <th scope="col">Username</th>
                                        <th scope="col">Type</th>
                                        <th scope="col">Room</th>
                                        <th scope="col">Cleanliness</th>
                                        <th scope="col">Staff</th>
                                        <th scope="col">Service</th>
                                        <th scope="col" width="25%">Comment</th>
                                        <th scope="col">Date</th>
                                        <th scope="col">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php 
                                        $q = "SELECT re. *, uc.firstname AS uname, rs.name AS rname FROM `review` re INNER JOIN `user_creds` uc ON re.user_id = uc.id INNER JOIN `rooms` rs ON re.room_id = rs.id ORDER BY  `sr_no` DESC";
                                        $data = mysqli_query($con, $q);
                                        $i = 1;

                                        while($row = mysqli_fetch_assoc($data)){
                                            $date = date('F j, Y', strtotime($row['datentime']));
                                            $seen = '';
                                            if($row['seen'] != 1){
                                                $seen = "<a href='?seen=$row[sr_no]' class='btn-seen' style='font-size: 14px;'>Read</a>";
                                            }
                                            $seen.="<a href='?del=$row[sr_no]' class='btn-cancel mx-1' style='font-size: 14px;'>Delete</a>";

                                            echo<<<query
                                                <tr>
                                                    <td>$i</td>
                                                    <td>$row[uname]</td>
                                                    <td>$row[rname]</td>
                                                    <td>$row[room_review]</td>
                                                    <td>$row[clean_review]</td>
                                                    <td>$row[staff_review]</td>
                                                    <td>$row[service_review]</td>
                                                    <td>$row[review]</td>
                                                    <td>$date</td>
                                                    <td>$seen</td>
                                                </tr>
                                            query;
                                            $i++;
                                        }
                                    ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <?php require('components/script.php') ?>
</body>
</html>