<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Midtown Hotel | The best hotels & accommodations</title>
    <?php require('./components/link.php'); ?>
</head>
<body>
    <!--Hero & Navbar section-->
    <div class="hero">
        <div class="load"></div>
        <?php require('./components/header.php'); ?>
        <!--Hero section-->
        <div class="hero-content">
            <div class="hero-head">
                <h1 class="hero-title">Welcome to Midtown Hotel</h1>
                <p class="hero-subtitle">Everything you can dream about, available here, start just $99 per night</p>
            </div>
            <!--availability-->
            <div class="container">
                <div class="row row-form">
                    <div class="col-lg-12 bg-white shadow p-3 rounded">
                        <form action="booking.php">
                            <div class="row">
                                <p class="d-flex justify-content-center mb-4" style="color: #948979; font-size: 18px; font-weight: 600; text-transform: uppercase;">Quick Reservation</p>
                                <div class="col-lg-3">
                                    <label class="form-label" style="color: black; font-weight: 500;">Check-in</label>
                                    <input type="date" class="form-control shadow-none" style="font-size: 14px;" name="checkin" required/>
                                </div>
                                <div class="col-lg-3">
                                    <label class="form-label" style="color: black; font-weight: 500;">Check-out</label>
                                    <input type="date" class="form-control shadow-none" style="font-size: 14px;" name="checkout" required/>
                                </div>
                                <div class="col-lg-2">
                                    <label class="form-label" style="color: black; font-weight: 500;">Adults</label>
                                    <select class="form-select" style="font-size: 14px;" name="adult">
                                        <?php
                                            $guest_query = mysqli_query($con, "SELECT MAX(adult) AS `max_adult`, MAX(children) AS `max_children` FROM `rooms` WHERE `status`=1 AND `removed` = 0");
                                            $guest_res = mysqli_fetch_assoc($guest_query);
                                            for($i = 1; $i <= $guest_res['max_adult']; $i++){
                                                echo "<option value='$i'>$i</option>";
                                            }
                                        ?>
                                    </select>
                                </div>
                                <div class="col-lg-2">
                                    <label class="form-label" style="color: black; font-weight: 500;">Children</label>
                                    <select class="form-select" style="font-size: 14px;" name="children">
                                        <?php
                                            $guest_query = mysqli_query($con, "SELECT MAX(adult) AS `max_adult`, MAX(children) AS `max_children` FROM `rooms` WHERE `status`=1 AND `removed` = 0");
                                            $guest_res = mysqli_fetch_assoc($guest_query);
                                            for($i = 1; $i <= $guest_res['max_children']; $i++){
                                                echo "<option value='$i'>$i</option>";
                                            }
                                        ?>
                                    </select>
                                </div>
                                <input type='hidden' name="check_availability">
                                <div class="col-lg-2">
                                    <div class="d-grid" style="align-items: center; margin-top: 30px;">
                                        <button type="submit" class="btn btn-dark shadow-none d-block" style="font-size: 14px; font-weight: 500;">Search</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--pre section-->
    <div class="panel" data-color="white">
        <img src="./images/logo.png" class="pre-header-img" style="width: 100px; margin-bottom: 40px;"/>
        <h1 class="pre-header">Midtown Hotel epitomizes comfort and service with spacious accommodation for you to enjoy every moment</h1>
    </div>
    <!--pre section2-->
    <div class="panel" data-color="khaki">
        <div class="swiper mySwiper">
            <div class="swiper-wrapper">
                <div class="swiper-slide">
                    <img src="./images/presec1.jpg"/>
                </div>
                <div class="swiper-slide">
                    <img src="./images/presec2.jpg"/>
                </div>
                <div class="swiper-slide">
                    <img src="./images/presec3.jpg"/>
                </div>
            </div>
        </div>
        <div class="pre-section2-container">
            <div class="pre-section2-wrapper">
                <div class="pre-section2-text">
                    <p>Favorite hotel</p>
                    <p>Find inspiration</p>
                    <p>Experience the ultimate in luxury</p>
                    <p>Discover the ultimate indulgence</p>
                    <p>In the heart of Florida</p>
                </div>
            </div>
        </div>
    </div>
    <!--Rooms-->
    <div class="panel" data-color="white">
        <h3 class="mt-4 pt-4 text-center fw-bold font-title" style="color: #776B5D; text-shadow: 2px 2px #EBE3D5;">Our Rooms</h3>
        <p class="mb-4 text-center" style="font-size: 14px; margin-top: -10px; color: #B0A695;">Comfortably furnished smaller accommodation</p>
        <div class="container">
            <div class="row">
                <?php 
                    $room_res = select("SELECT * FROM `rooms` WHERE `status`=? AND `removed`=?", [1, 0], 'ii');
                    while($room_data = mysqli_fetch_assoc($room_res)){
                        //get accommodation data from database
                        $accom_q = mysqli_query($con, "SELECT a.name FROM `accommodation` a INNER JOIN `room_accommodation` raccom ON a.id = raccom.accommodation_id WHERE raccom.room_id = '$room_data[id]'");
                        $accommodation_data = "";   

                        while($accom_row = mysqli_fetch_assoc($accom_q)){
                            $accommodation_data .="<span class='badge text-dark mb-1' style='border-radius: 25px; background-color: #F3EEEA;'>$accom_row[name]</span>";                            
                        }
                        //get additional accommodation data from database
                        $addi_q = mysqli_query($con, "SELECT a.name FROM `additional_accomm` a INNER JOIN `room_additionalAccom` raddi ON a.id = raddi.additionalAccom_id WHERE raddi.room_id = '$room_data[id]'");
                        $additionalAccom_data = "";
                        
                        while($addi_row = mysqli_fetch_assoc($addi_q)){
                            $additionalAccom_data .="<span class='badge text-dark mb-1 mx-1' style='border-radius: 25px; background-color: #F3EEEA;'>$addi_row[name]</span>";                            
                        }
                        //get cover image
                        $room_cover = ROOM_IMG_PATH."logo.png";
                        $cover_q = mysqli_query($con, "SELECT * FROM `room_images` WHERE `room_id`='$room_data[id]' AND `upload`='1'");

                        if(mysqli_num_rows($cover_q) > 0){
                            $cover_res = mysqli_fetch_assoc($cover_q);
                            $room_cover = ROOM_IMG_PATH.$cover_res['image'];
                        }
                        //display room (---**accommodation section did not use from database**---)
                        echo <<< data
                            <div class="col-lg-3 col-md-6 my-3">
                                <div class="card shadow" style="max-width: 400px; margin: auto;">
                                    <img src="$room_cover" style="height: 250px; object-fit: cover;">
                                    <div class="card-body">
                                        <h5 class="card-title" style="color: #222831;">$room_data[name]</h5>
                                        <p class="card-title" style="color: #31363F; font-size: 14px;">$$room_data[price] per night</p>
                                        <div class="accommodation"> 
                                            <p class="fw-bold" style="color: #31363F; font-size: 14px; margin-bottom: 5px;">Accommodation</p>
                                            <span class="badge text-dark mb-1" style="border-radius: 25px; background-color: #F3EEEA;">Heating and air conditioning</span>
                                            <span class="badge text-dark mb-1" style="border-radius: 25px; background-color: #F3EEEA;">Coffee & tea</span>
                                            <span class="badge text-dark mb-1" style="border-radius: 25px; background-color: #F3EEEA;">Mini-fridge</span>
                                            <span class="badge text-dark mb-1" style="border-radius: 25px; background-color: #F3EEEA;">Coffee & tea</span>
                                            <span class="badge text-dark mb-1" style="border-radius: 25px; background-color: #F3EEEA;">Desk</span>
                                            <span class="badge text-dark mb-1" style="border-radius: 25px; background-color: #F3EEEA;">Hairdryer</span>
                                            <span class="badge text-dark mb-1" style="border-radius: 25px; background-color: #F3EEEA;">Television</span>
                                            <span class="badge text-dark mb-1" style="border-radius: 25px; background-color: #F3EEEA;">Wi-Fi</span>
                                            <span class="badge text-dark mb-1" style="border-radius: 25px; background-color: #F3EEEA;">...</span>
                                        </div>
                                        <div class="extra-accommodation mt-4 mb-3">$additionalAccom_data</div>
                                        <div class="d-flex gap-2 items-center justify-content-center mt-4">
                                            <a href="./rooms.php" class="btn-minor d-block" style="font-size: 14px;">More Details</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        data;
                    }
                ?>
                <div class="col-lg-12 text-center mt-5 mb-2">
                    <a href="./booking.php" class="btn-th">Booking</a>
                </div>
            </div>
        </div>
    </div>
    <!--services-->
    <div class="panel" data-color="cream">
        <h3 class="mt-4 pt-4 text-center fw-bold font-title" style="color: #776B5D; text-shadow: 2px 2px #EBE3D5;">Services</h3>
        <p class="mb-5 text-center" style="font-size: 14px; margin-top: -10px; color: #A4907C;">Exceptional service - endless possibilities</p>
        <div class="container">
            <div class="row">
                <div class="col-lg-4">
                    <div class="card">
                        <img src="./images/service1.jpg" style="width: 100%;"/>
                        <div class="card-img-overlay service-card">
                            <h5 class="card-title-service">Swimming Pools</h5>
                            <p class="card-text-service">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <div class="card">
                        <img src="./images/service2.jpg" style="width: 100%"/>
                        <div class="card-img-overlay service-card">
                            <h5 class="card-title-service">Traditional Sauna</h5>
                            <p class="card-text-service">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <div class="card">
                        <img src="./images/service3.jpg" style="width: 100%"/>
                        <div class="card-img-overlay service-card">
                            <h5 class="card-title-service">Massages and treatments</h5>
                            <p class="card-text-service">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--testimonials-->
    <?php
        $review_qurey = "SELECT re. *, uc.firstname AS uname, rs.name AS rname FROM `review` re INNER JOIN `user_creds` uc ON re.user_id = uc.id INNER JOIN `rooms` rs ON re.room_id = rs.id ORDER BY  `sr_no` DESC LIMIT 3";
        $review_res = mysqli_query($con, $review_qurey);
        if(mysqli_num_rows($review_res) == 0){
            echo 'There is no review at this moment!';
        } else{
            while($row = mysqli_fetch_assoc($review_res)){
                
                    $slide .= "
                        <div class='swiper-slide'>
                            <div class='profile'>
                                <p class='testimonials-text'>$row[review]</p>
                                <p class='testimonials-user'>$row[uname]</p>
                            </div>
                        </div>
                    ";
                
            }
        }
    ?>
    <div class="panel" data-color="white">
        <img src="./images/logo.png" class="pre-header-testimonials"/>
        <div class="swiper swiper-testimonials">
            <div class="swiper-wrapper">
                <?php echo $slide ?>
            </div>
        </div>
    </div>
    <!--footer-->
    <?php require('./components/footer.php'); ?>
    
    <?php require('./components/script.php') ?>
    <script>
        var swiper = new Swiper(".mySwiper", {
            spaceBetween: 30,
            centeredSlides: true,
            effect: "fade",
            autoplay: {
            delay: 2500,
            disableOnInteraction: false,
            },
        });
        var swiper = new Swiper(".swiper-testimonials", {
        spaceBetween: 30,
        centeredSlides: true,
        autoplay: {
            delay: 2500,
            disableOnInteraction: false,
        },
        });
    </script>
</body>
</html>